net.i2p.router.web

## Class StatsGenerator

- java.lang.Object
- - net.i2p.router.web.StatsGenerator

-     public class StatsGenerator
      extends Object

  Dump the stats to the web admin interface

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatsGenerator(RouterContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateStatsPage(Writer out, boolean showAll)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatsGenerator

          public StatsGenerator(RouterContext context)

  - ### Method Detail

    - #### generateStatsPage

          public void generateStatsPage(Writer out,
                               boolean showAll)
                                 throws IOException

      Throws:
        `IOException`